
# Changelog
All notable changes to 'byjove' will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [0.1.21] - 2023-10-06
### Changed
- Auto-trim username field in login form.
- Auto-focus case/unit field when showing inventory count page.

## [0.1.20] - 2023-09-17
### Changed
- Validate amount when adding receiving quantity.
- Show "missing" quantities for item receiving.

## [0.1.19] - 2023-08-29
### Changed
- Add support for "missing" credit in mobile receiving.

## [0.1.18] - 2023-08-08
### Changed
- Add UPC quick lookup for View Product page.
- Add slot for "default panels" in View Product.

## [0.1.17] - 2023-08-03
### Changed
- Update to use lts/gallium version for nodejs.

## [0.1.16] - 2023-01-30
### Changed
- Add Prices panel for default product view.

## [0.1.15] - 2023-01-07
### Changed
- Add basic components for Product CRUD.
- Update dependencies.
- Center logo and text for home page.

## [0.1.14] - 2022-11-16
### Changed
- Detect 404 notfound when viewing CRUD record; warn user accordingly.
- Increase spacing around "Create" button for model-index.
- Put available settings in the store; etc.
- Add components for login form and customer field.
- Rename methods provided by plugin.
- Add home page component; fix user state issues.
- Allow static data set for autocomplete component.
- Add styles, warnings template for receiving component.
- Let item-level receiving default option reflect "what's left".

## [0.1.13] - 2021-10-20
### Changed
- Allow for "native sort" params in model index.
- Allow override of "create" permission for model index.

## [0.1.12] - 2021-08-04
### Changed
- Use better class name for logo image styles.
- Allow multiple feedback recipient options.

## [0.1.11] - 2021-04-12
### Changed
- Allow "any" number for inventory cases/units, including decimal.

## [0.1.10] - 2021-02-10
### Changed
- Add `package-lock.json` back to src repo.
- Add "angle-down" icon for user menu button.

## [0.1.9] - 2020-04-24
### Changed
- Wrap "create new object" button, for padding.
- Add `byjoveCurrency` filter.
- Fix pagination bug in model-crud.
- Add new `ByjoveReceiving` component.
- Let caller define row sorting for model-crud.
- Stop showing Buefy toast messages at bottom of screen.
- Misc. improvements for "delete" support in model-crud.
- Add support for "Create Row" button when viewing parent CRUD object.
- Avoid showing "removed" batch rows by default.
- Misc. fixes for model-crud, e.g. redirect to parent after deleting row.
- Add initial "inventory" component, for updating row counts.

## [0.1.8] - 2020-03-02
### Changed
- Allow customization of Save button for model-crud.
- Add basic support for "executing" mode, in model-crud.
- Fix the "view object" link in CRUD header.
- Add basic "quick-delete" prop for model-crud.
- Let caller define placeholder and icon for autocomplete field.

## [0.1.7] - 2020-02-26
### Changed
- Consolidate some perm check logic.
- Make sure we never ask for page 0 when fetching model index data.
- Tweak how/when Edit and Delete buttons are shown for model-crud.

## [0.1.6] - 2020-02-21
### Changed
- Add page-content-wrapper to main app template.
- Add icons to nav header buttons.
- Let caller control whether Login and Feedback menu items are shown.
- Let caller control whether app footer is shown.
- Stop including Home link in menu.
- Remove some redirect magic, for logged-in users.
- Add `session_established` flag in global store.
- Delay showing the app until user info is fetched.
- Add `ByjovePlugin` for sake of `$hasPerm()` method.
- Add `user_is_admin` flag to app store, plus logic to set/clear it.
- Change aria-role (to "menu") for main user menu.
- Add proper logout logic to menu; let caller hide root options, about link.
- Update permissions when logging in user.

## [0.1.5] - 2019-12-04
### Changed
- Fix bug when checking user session.

## [0.1.4] - 2019-12-02
### Added
- Add app/menu support for "become / stop being root" feature.
### Changed
- Absorb header, footer into main section of feedback dialog.

## [0.1.3] - 2019-11-15
### Added
- Add "model index" component.
- Add "model crud" component.
- Add basic autocomplete component.
### Changed
- Cleanup global state logic a bit, for current user and permissions.
- Assign background color, if specified by API.

## [0.1.2] - 2019-11-06
### Added
- Hopefully include dist files in npm package build.

## [0.1.1] - 2019-11-06
### Added
- Another test release.

## [0.1.0] - 2019-11-06
### Added
- Initial release, mostly for sake of testing release itself.
